package main

import (
	"github.com/beego/beego/v2/core/logs"
	"github.com/beego/beego/v2/server/web"
)

type CityController struct {
	web.Controller
}

func (c *CityController) Get() {
	city := c.GetSession("city")
	if city == nil {
		logs.Info("get session city is nil")
		//c.Redirect("login", 302)
		err := c.SetSession("city", "shanghai")
		if err != nil {
			logs.Error(err)
		}
	} else {
		logs.Info("get session city is", city)
	}

	// 销毁session
	//c.DelSession(name)
	//c.DestroySession()

	c.Ctx.WriteString(`{"data": 123}`)
}

func main() {
	web.BConfig.RunMode = "dev"
	web.BConfig.WebConfig.Session.SessionOn = true
	web.BConfig.WebConfig.Session.SessionName = "sid"
	web.BConfig.WebConfig.Session.SessionProvider = "file"
	web.BConfig.WebConfig.Session.SessionProviderConfig = "./session"
	web.Router("/city/", &CityController{})

	web.Run()
}
